# -*- coding: utf-8 -*-
##############################################################################
#	(c)2023 by Oberhesse and schomi (contact: vuplus-support.org)
#	Creative Commons CC BY-NC-SA 3.0 License
#	Check the file "LICENSE" for more informations
##############################################################################
from Components.Language import language
from Tools.Directories import resolveFilename, SCOPE_PLUGINS, SCOPE_LANGUAGE
from Components.config import config
import gettext



def localeInit():
	lang = language.getLanguage()
	gettext.bindtextdomain("enigma2", resolveFilename(SCOPE_LANGUAGE))
	gettext.textdomain("enigma2")
	gettext.bindtextdomain("VTiConfigExplorer", "%s%s" % (resolveFilename(SCOPE_PLUGINS), "Extensions/VTiConfigExplorer/locale/"))

def _(txt, germanTxt='', preCheck=''):
	t = gettext.dgettext("VTiConfigExplorer", txt)
	if t == txt:  t = gettext.gettext(txt)
	if (t == txt) and germanTxt:
		try: 
			if str(config.osd.language.value).lower().startswith('de'):  t = germanTxt
		except: pass
	return t

try:  localeInit();  language.addCallback(localeInit)
except: pass


	








