# -*- coding: utf-8 -*-
##############################################################################
#	(c)2023 by Oberhesse and schomi (contact: vuplus-support.org)
#	CLOSED SOURCE
#	for VTi only
##############################################################################
from Plugins.Plugin import PluginDescriptor
from .__init__ import _

pname = "VTi Config Explorer"
pdesc = _("Configuration Explorer for VTi")
pversion = "1.0"
pdate = "20230216"
		
	
def startSearch (session, **kwargs): 
	#from VTiConfigExplorer import VTiConfigExplorer;  session.open(VTiConfigExplorer); return
	try:
		import platform
		if (platform.machine().lower().find('mips')>=0):  
			from Plugins.Extensions.VTiConfigExplorer.mipsel import VTiConfigExplorer
		else:  
			from Plugins.Extensions.VTiConfigExplorer.armv7 import VTiConfigExplorer
		session.open(VTiConfigExplorer.VTiConfigExplorer)
	except: pass
	

def Plugins(**kwargs):
	res = [
			PluginDescriptor(
			name = pname, 
			description = pdesc, 
			where = [PluginDescriptor.WHERE_PLUGINMENU],
			needsRestart = True,
			fnc = startSearch,
			icon ="configexplorer.png"),
			]
	return res
			

		